Bug 193264 - security/libgcrypt: 1.6.1 -> 1.6.2
Summary: security/libgcrypt: 1.6.1 -> 1.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2014-09-02 20:54 UTC by Kurt Jaeger
Modified: 2015-01-02 21:39 UTC (History)
3 users (show)

See Also:


Attachments
update (1.51 KB, patch)
2014-09-02 20:54 UTC, Kurt Jaeger
no flags Details | Diff
update, after fix for old libgcrypt (1.43 KB, patch)
2014-09-04 17:49 UTC, Kurt Jaeger
no flags Details | Diff
update port and depends (37.79 KB, patch)
2015-01-02 10:46 UTC, Kurt Jaeger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger freebsd_committer 2014-09-02 20:54:14 UTC
Created attachment 146695 [details]
update
Comment 1 Kurt Jaeger freebsd_committer 2014-09-02 20:54:58 UTC
If it ends in maintainer timeout, will reset maintainer.
Comment 2 Carlos J Puga Medina 2014-09-02 23:49:16 UTC
Build logs via redports:

https://redports.org/buildarchive/20140902233900-2384/
Comment 3 Kurt Jaeger freebsd_committer 2014-09-04 17:49:14 UTC
Created attachment 146811 [details]
update, after fix for old libgcrypt
Comment 5 John Marino freebsd_committer 2014-09-20 18:20:58 UTC
Kurt, this PR timed out.  I'm assigning it to you, please commit your fix.
Comment 6 Kurt Jaeger freebsd_committer 2014-09-21 20:17:47 UTC
Needs PORTREVISION bumps for approx. 99 dependent ports, but see
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=193815
Comment 7 Kurt Jaeger freebsd_committer 2015-01-02 10:46:14 UTC
Created attachment 151205 [details]
update port and depends

Testruns with all dependents on 10.1-amd64, 9.1-amd64, 8.4-i386 done.

No libgcrypt-related issues seen.
Comment 8 Carlos J Puga Medina 2015-01-02 13:44:30 UTC
(In reply to Kurt Jaeger from comment #7)
> Created attachment 151205 [details]
> update port and depends
> 
> Testruns with all dependents on 10.1-amd64, 9.1-amd64, 8.4-i386 done.
> 
> No libgcrypt-related issues seen.

Thanks, Kurt!
Comment 9 commit-hook freebsd_committer 2015-01-02 18:47:40 UTC
A commit references this bug:

Author: pi
Date: Fri Jan  2 18:47:01 UTC 2015
New revision: 376062
URL: https://svnweb.freebsd.org/changeset/ports/376062

Log:
  security/libgcrypt: 1.6.1 -> 1.6.2, bump depends

  Changes:
  - src/sexp.c (do_vsexp_sscan): Return error for invalid args.
  - cipher/md.c (_gcry_md_info): Fix a segv in case of calling
    with wrong parameters.
  - cipher/primegen.c (_gcry_generate_elg_prime): Change to return an
    error code, possible NULL deref in call to prime generator.
  - cipher/dsa.c (generate): Take care of new return code.
  - cipher/elgamal.c (generate): Change to return an error code.  Take
  	care of _gcry_generate_elg_prime return code.
  - ecc: Support the non-standard 0x40 compression flag for EdDSA.
  - mpi: Extend the internal mpi_get_buffer.
  - mpi: Fix regression for powerpc-apple-darwin detection.
  - Fix bug inhibiting the use of the sentinel attribute in src/gcrypt.h.in
  - Fix building for the x32 target without asm modules in
    mpi/generic/mpi-asm-defs.h: Use a fixed value for the x32 ABI.
  - Fix ARM assembly when building __PIC__
  - mpi: Fix a subtle bug setting spurious bits with in mpi_set_bit.
    * mpi/mpi-bit.c (_gcry_mpi_set_bit, _gcry_mpi_set_highbit): Clear
      allocated but not used bits before resizing.
    * tests/t-mpi-bits.c (set_bit_with_resize): New.
  - Use internal malloc function in fips.c.
    * src/fips.c (check_binary_integrity): s/gcry_malloc/xtrymalloc/.
  - pubkey: Re-map all deprecated RSA algo numbers.
  - cipher: Fix possible NULL dereference in cipher/md.c for being NULL.
  - Fix ARMv6 detection when CFLAGS modify target CPU architecture.

  PR:		193264
  Approved by:	cpm@fbsd.es (maintainer)

Changes:
  head/audio/ario/Makefile
  head/audio/gogglesmm/Makefile
  head/audio/pianobar/Makefile
  head/comms/svxlink/Makefile
  head/databases/freetds/Makefile
  head/databases/libgda4/Makefile
  head/databases/libgda5/Makefile
  head/databases/xtrabackup/Makefile
  head/devel/ccrtp/Makefile
  head/devel/gsoap/Makefile
  head/devel/gvfs/Makefile
  head/devel/gwenhywfar/Makefile
  head/devel/libsoup/Makefile
  head/devel/libvirt/Makefile
  head/devel/libzrtpcpp/Makefile
  head/devel/srecord/Makefile
  head/emulators/fuse/Makefile
  head/emulators/libspectrum/Makefile
  head/ftp/filezilla/Makefile
  head/games/libggz/Makefile
  head/graphics/telak/Makefile
  head/irc/bitlbee/Makefile
  head/irc/inspircd/Makefile
  head/irc/irssi-otr/Makefile
  head/irc/weechat/Makefile
  head/irc/weechat-devel/Makefile
  head/japanese/jd/Makefile
  head/lang/gnustep-base/Makefile
  head/mail/libetpan/Makefile
  head/mail/wmbiff/Makefile
  head/mail/xfce4-mailwatch-plugin/Makefile
  head/misc/metalink-tools/Makefile
  head/multimedia/libaacs/Makefile
  head/multimedia/libmtp/Makefile
  head/multimedia/libquvi09/Makefile
  head/multimedia/vlc/Makefile
  head/net/afpfs-ng/Makefile
  head/net/clamz/Makefile
  head/net/csync2/Makefile
  head/net/cyphesis/Makefile
  head/net/glib-networking/Makefile
  head/net/grive/Makefile
  head/net/gtk-vnc/Makefile
  head/net/librouteros/Makefile
  head/net/libvncserver/Makefile
  head/net/netatalk/Makefile
  head/net/netatalk3/Makefile
  head/net/remmina/Makefile
  head/net/remmina-plugin-vnc/Makefile
  head/net/samba4/Makefile
  head/net/samba41/Makefile
  head/net/tigervnc/Makefile
  head/net/uget/Makefile
  head/net/wireshark/Makefile
  head/net-im/climm/Makefile
  head/net-im/mcabber/Makefile
  head/net-mgmt/collectd/Makefile
  head/net-mgmt/collectd5/Makefile
  head/net-p2p/gnunet/Makefile
  head/net-p2p/libktorrent/Makefile
  head/net-p2p/ncdc/Makefile
  head/news/nzbget/Makefile
  head/print/cups-base/Makefile
  head/security/dirmngr/Makefile
  head/security/fiked/Makefile
  head/security/gcr/Makefile
  head/security/gnome-keyring/Makefile
  head/security/gnomint/Makefile
  head/security/gnupg/Makefile
  head/security/gnupg20/Makefile
  head/security/gsasl/Makefile
  head/security/keepassx2/Makefile
  head/security/libgcrypt/Makefile
  head/security/libgcrypt/distinfo
  head/security/libgcrypt/pkg-plist
  head/security/libgnome-keyring/Makefile
  head/security/libotr/Makefile
  head/security/libotr3/Makefile
  head/security/libprelude/Makefile
  head/security/libpreludedb/Makefile
  head/security/libsecret/Makefile
  head/security/libssh/Makefile
  head/security/libssh2/Makefile
  head/security/opencdk/Makefile
  head/security/openvas-libnasl/Makefile
  head/security/openvas-libraries/Makefile
  head/security/openvpn-auth-radius/Makefile
  head/security/p5-Crypt-GCrypt/Makefile
  head/security/pam-pgsql/Makefile
  head/security/pidgin-otr/Makefile
  head/security/pinentry/Makefile
  head/security/seccure/Makefile
  head/security/shishi/Makefile
  head/security/vpnc/Makefile
  head/sysutils/dar/Makefile
  head/sysutils/freeipmi/Makefile
  head/sysutils/fusefs-cryptofs/Makefile
  head/sysutils/rsyslog7/Makefile
  head/sysutils/rsyslog7-devel/Makefile
  head/sysutils/rsyslog8/Makefile
  head/sysutils/rsyslog8-devel/Makefile
  head/textproc/libxslt/Makefile
  head/www/chromium/Makefile
  head/www/libmicrohttpd/Makefile
Comment 10 Kurt Jaeger freebsd_committer 2015-01-02 21:39:12 UTC
Hint from mat@: bump depends was not necessary, should only happen if the
library's soname changes. It did not change:

# readelf -d /usr/local/lib/libgcrypt.so.20.0.1|grep SONAME                     
 0x000000000000000e (SONAME)             Library soname: [libgcrypt.so.20]